Package org.eclipse.zest.core.widgets

# Interface SubgraphFactory

All Known Implementing Classes:
  `DefaultSubgraph.DefaultSubgraphFactory`, `DefaultSubgraph.LabelSubgraphFactory`, `DefaultSubgraph.PrunedSuccessorsSubgraphFactory`, `DefaultSubgraph.TriangleSubgraphFactory`

public interface SubgraphFactory
Factory used by `Graph` to create subgraphs. One instance of SubgraphFactory can be used with multiple graphs unless explicitly stated otherwise.

Since:
  1.14

## Method Summary

Modifier and Type
Method
Description
`SubgraphLayout`
`createSubgraph(NodeLayout[] nodes, LayoutContext context)`

## Method Details

### createSubgraph

SubgraphLayout createSubgraph(NodeLayout[] nodes, LayoutContext context)